#ifndef PLOTWIFISCAN_H
#define PLOTWIFISCAN_H

#include <QWidget>
#include "../sensors/WiFiSensor.h"

class PlotWiFiScan : public QWidget {

	Q_OBJECT

private:

	WiFiMeasurements data;

public:

	/** ctor */
	explicit PlotWiFiScan(QWidget *parent = 0);

	void add(const Timestamp ts, const WiFiMeasurements& data);

signals:

public slots:

	void paintEvent(QPaintEvent*);

};

#endif // PLOTWIFISCAN_H
